package com.sysu.admin.controller.analyse;

/**
 * @author shu hao
 * @description:
 * @date 2022/5/19 16:38
 */
public enum  AnalyseType {
    towns,village,crop ;
    public static AnalyseType valueOf(int i){
        switch (i){
            case 0:
                return towns;
            case 1:
                return village;
            case 2:
                return crop;
        }
        return null;
    }

    public static Integer valueOf(AnalyseType analyseType){
        switch (analyseType){
            case towns:
                return 0;
            case village:
                return 1;
            case crop:
                return 2;
        }
        return null;
    }

}
